aboutsummaryrefslogtreecommitdiffstats
path: root/recipes/sysconf/files/sysconfsetup
diff options
context:
space:
mode:
Diffstat (limited to 'recipes/sysconf/files/sysconfsetup')
-rw-r--r--recipes/sysconf/files/sysconfsetup53
1 files changed, 53 insertions, 0 deletions
diff --git a/recipes/sysconf/files/sysconfsetup b/recipes/sysconf/files/sysconfsetup
new file mode 100644
index 0000000000..602442f4ff
--- /dev/null
+++ b/recipes/sysconf/files/sysconfsetup
@@ -0,0 +1,53 @@
+#!/bin/sh
+# This script is run once when the system first boots. Its sole
+# purpose is to create /etc/default/sysconf (the overall system
+# configuration file) and other files derived from this.
+#
+# The script runs immediately after S10checkroot.sh - this is the
+# point at which the rootfs will be mounted rw even if the kernel
+# booted with it ro.
+#
+# rm or mv the file (/etc/default/sysconf) to recreate it, run this
+# script with the reload option to overwrite the system files. The
+# configuration files described in sysconf_reload (in
+# /sbin/sysconf) will be overwritten on reload.
+#
+# start: standard startup, do a complete (auto) restore if necessary
+# reinit: always do a complete auto restore
+# reload: just reload sysconf (no config files!)
+#
+# load_functions "source"
+# load the functions in '/sbin/source' - relies on /sbin/source being
+# a shell script and having support for this function.
+load_functions(){
+ test -n "$1" -a -x "/sbin/$1" && . "/sbin/$1" || {
+ echo "$0: /sbin/$1: script not found" >&2
+ return 1
+ }
+}
+
+load_functions sysconf || exit 1
+
+case "$1" in
+start) test -s /etc/default/sysconf || {
+ if sysconf_read
+ then
+ if sysconf_valid
+ then
+ sysconf_restore auto
+ else
+ sysconf_reload
+ fi
+ else
+ sysconf_default
+ sysconf_reload
+ fi
+ };;
+
+reload) test -s /etc/default/sysconf || sysconf_read || sysconf_default
+ sysconf_reload;;
+
+reinit) sysconf_restore auto;;
+
+*) ;;
+esac